Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath.functions
Class xpathSubstringAfter

    java.lang.Object
      com.novell.xml.xpath.Function
          com.novell.xml.xpath.functions.xpathSubstringAfter

    public class xpathSubstringAfter

extends Function

This class implements the XPath substring-after(string,string) built-in function

Constructor Summary
`xpathSubstringAfter()` Construct an object for the substring-after() function

Method Summary
`ExpressionValue` | `invoke(Object[] args)` Perform substring-after() function
`String` | `toString()` Return function name.

Methods inherited from class com.novell.xml.xpath.Function
`getInstance, getSignature, isConstant, registerForReset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### xpathSubstringAfter

    public xpathSubstringAfter()

  Construct an object for the substring-after() function

Method Detail

### invoke

    public ExpressionValue invoke(Object[] args)
                           throws XPathEvaluationException

  Perform substring-after() function

  Overrides:
    `invoke` in class `Function`
  Parameters:
    `args` - List of arguments. Two string arguments are required.
  Returns:
    The substring of the first argument string that follows the first occurrence of the second argument string in the first argument string, or the empty string if the first argument string does not contain the second argument string.
  Throws:
    `XPathEvaluationException`

### toString

    public String toString()

  Return function name.

  Overrides:
    `toString` in class `Object`
  Returns:
    Function name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD